- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#body.EnrichmentCombination.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#body.aspect_1)
- [EnrichmentCombinationRecord](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentCombinationRecord)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentCombinationRecord.SCHEMA_REPRESENTATION)
- [EnrichmentType](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentType)
- [EnrichmentSource](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentSource)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentSource.SCHEMA_REPRESENTATION)
- [ExternalEnrichmentSource](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#ExternalEnrichmentSource)

**Full name**: projects.locations.instances.getEnrichmentCombination

Get the EnrichmentCombination.

### HTTP request

`GET https://{endpoint}/v1beta/{name}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the enrichment combination to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/enrichmentCombination |

### Request body

The request body must be empty.

### Response body

EnrichmentCombination resource represents the combination of enrichment. It is a singleton resource that contains all the enrichment combination records.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "enrichmentCombinationRecords": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentCombinationRecord`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The resource name of the enrichment combination. Format: projects/{project}/locations/{location}/instances/{instance}/enrichmentCombination |
| `enrichmentCombinationRecords[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentCombinationRecord`)`` Output only. All the enrichment combination records. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.enrichmentCombination.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## EnrichmentCombinationRecord

EnrichmentCombinationRecord represents a record of enrichment combination.

| JSON representation |
|---|
| ``` { "enrichmentType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentType`), "enrichmentTargetLogType": string, "enrichmentSource": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentSource`) } } ``` |

| Fields ||
|---|---|
| `enrichmentType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentType`)`` Required. The type of enrichment. |
| `enrichmentTargetLogType` | `string` Required. The log type of an event that is enriched. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType} |
| `enrichmentSource` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#EnrichmentSource`)`` The enrichment source that an enrichment is from. For source that comes from external and does not have a log type, for example, `GEO_IP_SERVICE`, the `ExternalEnrichmentSource` field should be set. |

## EnrichmentType

The type of enrichment. It can be expanded to include more types in the future.

| Enums ||
|---|---|
| `ENRICHMENT_TYPE_UNSPECIFIED` | Unspecified. |
| `ALL_ENRICHMENT_TYPES` | ALL enrichment types. |
| `ASSET_ENRICHMENT` | Asset enrichment. |
| `USER_ENRICHMENT` | User enrichment. |
| `PROCESS_ENRICHMENT` | Process enrichment. |
| `GOOGLE_THREAT_INTEL_ENRICHMENT` | Google Threat Intel enrichment. |
| `GEO_IP_ENRICHMENT` | GeoIP enrichment. |

## EnrichmentSource

The enrichment source that an enrichment is from. For source that comes from external and does not have a log type, for example, `GEO_IP_SERVICE`, the `ExternalEnrichmentSource` field should be set.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "logType": string, "externalEnrichmentSource": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#ExternalEnrichmentSource`) // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| The source of an enrichment can be either a log type or an external enrichment source that does not have a log type. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `logType` | `string` Required. Raw LogType of an enrichment source. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType} |
| `externalEnrichmentSource` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances/getEnrichmentCombination#ExternalEnrichmentSource`)`` Required. Represents an enrichment source from external that does not have a log type. For example, GEO_IP_SERVICE for enrichment from the GeoIP service. |
| End of mutually exclusive fields. ||

## ExternalEnrichmentSource

The external enrichment sources that do not have a log type associated with it.

| Enums ||
|---|---|
| `EXTERNAL_ENRICHMENT_SOURCE_UNSPECIFIED` | Unspecified. |
| `GEO_IP_SERVICE` | GeoIP service. |